### Method

# Ggit Submodule ref

#### Declaration [src]

    GgitSubmodule*
    ggit_submodule_ref (
      GgitSubmodule* submodule
    )

#### Description [src]

Atomically increments the reference count of `submodule` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitSubmodule`

The passed in `GgitSubmodule` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.